Subject: [Asdf] Outstanding PRs for 1.1

From: Carsten Bormann <[email-masked]>
Date: Wed, 10 Mar 2021 18:47:40 +0100

The SDF 1.1 consensus call is completed, but we still have three PRs that should go into 1.1 to be issued tomorrow as draft-ietf-asdf-sdf-04:

https://github.com/ietf-wg-asdf/SDF/pull/21 (#21):
This fixes some I-D nits and supplies the formal IANA considerations section that we’ll need to get early allocation on the media type application/sdf+json.
No changes to format.

https://github.com/ietf-wg-asdf/SDF/pull/24 (#24):
This makes the info block optional.
It is not intended as a change that impacts how we will handle SDF files going into OneDM and related processes.
It is a simplification that facilitates tools (like Thingmaker from last week’s hackathon) that build SDF files from components, not each of which will have an info block.
We recommend emitting a warning when an SDF validator tool does not find an info block.
(There is a comment on this PR that each entry of the info block should also be optional in the syntax; I haven’t implemented that change yet.)

https://github.com/ietf-wg-asdf/SDF/pull/25 (#25):
Marks scaleMinimum and scaleMaximum as SDF 1.0.
These qualities never were fully defined, even if we now have developed a definition (in #22), so removing these from 1.1 is not actually a change.
These qualities were not used so far in the models in the OneDM playground.
When discussing the way mapping/binding information interacts with an SDF model, we also found that these qualities do not quite work the way they should (which is not surprising as we hadn’t actually pressure-tested them).
I’ll talk more tomorrow about how the 1.next replacements might look like, but we should not leave the old qualities in 1.1 just to be removed in 1.next.

I would like to make sure we have in-room consensus to apply all three PRs tomorrow.  If you have an opinion on which direction #24 should go, knowing that before tomorrow’s meeting would help.

See you tomorrow at 1200Z!

Grüße, Carsten